org.apache.tomcat.util.net

## Interface WriteBuffer.Sink

- Enclosing class:
    WriteBuffer

      public static interface WriteBuffer.Sink

  Interface implemented by clients of the WriteBuffer to enable data to be written back out from the buffer.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `writeFromBuffer(ByteBuffer buffer, boolean block)`

- - ### Method Detail

    - #### writeFromBuffer

          boolean writeFromBuffer(ByteBuffer buffer,
                                boolean block)
                                  throws IOException

      Throws:
        `IOException`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.